package com.bonus.canteen.core.nutrition.common.vo;

import io.swagger.annotations.ApiModelProperty;

import java.util.Map;

public class HealthDishRecommendScoreVO {
   @ApiModelProperty("推荐分值修改标识 true-有改动 false-无改动")
   private Boolean recommendFlag;
   @ApiModelProperty("菜品分值")
   private Map<Long, Integer> dishRecommendMap;

   public Boolean getRecommendFlag() {
      return this.recommendFlag;
   }

   public Map<Long, Integer> getDishRecommendMap() {
      return this.dishRecommendMap;
   }

   public HealthDishRecommendScoreVO setRecommendFlag(final Boolean recommendFlag) {
      this.recommendFlag = recommendFlag;
      return this;
   }

   public HealthDishRecommendScoreVO setDishRecommendMap(final Map<Long, Integer> dishRecommendMap) {
      this.dishRecommendMap = dishRecommendMap;
      return this;
   }
   @Override
   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof HealthDishRecommendScoreVO)) {
         return false;
      } else {
         HealthDishRecommendScoreVO other = (HealthDishRecommendScoreVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$recommendFlag = this.getRecommendFlag();
            Object other$recommendFlag = other.getRecommendFlag();
            if (this$recommendFlag == null) {
               if (other$recommendFlag != null) {
                  return false;
               }
            } else if (!this$recommendFlag.equals(other$recommendFlag)) {
               return false;
            }

            Object this$dishRecommendMap = this.getDishRecommendMap();
            Object other$dishRecommendMap = other.getDishRecommendMap();
            if (this$dishRecommendMap == null) {
               if (other$dishRecommendMap != null) {
                  return false;
               }
            } else if (!this$dishRecommendMap.equals(other$dishRecommendMap)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof HealthDishRecommendScoreVO;
   }
   @Override
   public String toString() {
      Boolean var10000 = this.getRecommendFlag();
      return "HealthDishRecommendScoreVO(recommendFlag=" + var10000 + ", dishRecommendMap=" + String.valueOf(this.getDishRecommendMap()) + ")";
   }
}
